function getImage()
{
  tfAngleTxt = document.getElementById('tfAngle').value;
  if(tfAngleTxt == ""){
    alert("Proszę podać kąt obrotu.");
    return;
  }

  url = "http://localhost/dane.php?angle=" + tfAngleTxt;
  url = encodeURI(url);

  var btnWykonaj = document.getElementById('btnWykonaj');
  btnWykonaj.disabled = true;
  startGETRequest(url, onComplete, onEnd);
}


function onComplete(text, xml)
{
  if(text.substr(0, 5) == 'error'){
    arr = text.split("\n");
    if(arr.length == 2){
      if(arr[0] == 'error')
        alert(arr[1]);
      else
        alert("Nieprawidłowa odpowiedź serwera.");
    }
  }
  else{
    var img1 = document.getElementById('img1');
    url = "image.php?name=" + text;
    url = encodeURI(url);
    img1.src = url;
  }
}

function onEnd()
{
  var btnWykonaj = document.getElementById('btnWykonaj');
  btnWykonaj.disabled = false;
}